<?php
/**
 * Smarty plugin
 *
 * @category Smarty
 * @license /_licenses/untermStrich/agb_normal.pdf
 * @author Christian Koller
 * @copyright 2009 untermStrich
 * @package Smarty
 * @subpackage plugins
 * @version $Id$
*/

/**
 * Create conn4vx link plugin
 *
 * @param   string  $string     The string to call
 * @return  string  String
 */
function smarty_modifier_conn4vx($string)
{
    $CI = CI_Controller::get_instance();
    $CI->load->helper('crypt');

    $info = $CI->login->get_user_id();
    $info .= '|'.$CI->login->get_active_user_id();
    $info .= '|'.trim($string);
    $info .= '|'.$CI->web_settings->getLanguage();

    return Two_way_crypt::encode('MODULE').'/'.Two_way_crypt::encode($info);
}

